---
title: 510 Not Extended
slug: Web/HTTP/Status/510
tags:
  - HTTP
  - Server error
  - Status code
---
<div>{{HTTPSidebar}}</div>

<p>The HyperText Transfer Protocol (HTTP)  <code><strong>510 Not Extended</strong></code> response status code is sent in the context of the HTTP Extension Framework, defined in <a href="https://tools.ietf.org/html/rfc2774">RFC 2774</a>.</p>

<p>In that specification a client may send a request that contains an extension declaration, that describes the extension to be used. If the server receives such a request, but any described extensions are not supported for the request, then the server responds with the 510 status code.</p>

<h2 id="Status">Status</h2>

<pre class="syntaxbox">510 Not Extended</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Title</th>
  </tr>
  <tr>
   <td>{{RFC("2774", "510 Not Extended" , "7")}}</td>
   <td>An HTTP Extension Framework</td>
  </tr>
 </tbody>
</table>
